/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

/*		copyright	"%c%" 	*/

/*
 *      Copyright (c) 1982, 1986, 1988
 *      The Regents of the University of California
 *      All Rights Reserved.
 *      Portions of this document are derived from
 *      software developed by the University of
 *      California, Berkeley, and its contributors.
 */

#ifdef IDENT
#ident	"@(#)icurses:screen/include/unctrl.h	1.4.2.2"
#endif /* IDENT */

/*
 * unctrl.h
 *
 */

#ifndef _UNCTRL_H
#define	_UNCTRL_H

/*VSU5 change - added for UNIX98 mode compilation, line was:
#if ((defined(_XOPEN_SOURCE) && (_XOPEN_SOURCE_EXTENDED >= 1))
*/
#if ((defined(_XOPEN_SOURCE) && (_XOPEN_SOURCE_EXTENDED - 0 >= 1)) || (_XOPEN_SOURCE - 0 >= 500))
/*VSU5 end change*/
#ifndef _CHTYPE_T
#define _CHTYPE_T
#ifdef  CHTYPE
	typedef CHTYPE chtype;
#else
	typedef unsigned long chtype;
#endif /* CHTYPE */
#endif /* _CHTYPE_T */

char *unctrl(chtype);
#endif

extern char	*_unctrl[];

#if	!defined(NOMACROS) && !defined(lint)

#define	unctrl(ch)	(_unctrl[ch&0377])

#endif	/* NOMACROS && lint */

#endif	/* _UNCTRL_H */
